### Constructor

# ICalGLib VcardStructured new_from_string

since: 4.0

#### Declaration [src]

    ICalVcardStructured*
    i_cal_vcard_structured_new_from_string (
      const gchar* str
    )

#### Description [src]

Creates a new `ICalVcardStructured` from the `str`.

Available since: 4.0

#### Parameters

`str`

  Type: `const gchar*`

  The string used to create `ICalVcardStructured`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const ICalVcardStructured`

The newly created `ICalVcardStructured` from the `str`.

The caller of the function takes ownership of the data, and is responsible for freeing it.